Page MenuHomePhabricator

Failing to delete image on commons using mobile view
Closed, ResolvedPublic

Description

In the attached screencast, you can see me click on the garbage icon on https://commons.wikimedia.org/wiki/File:Nosferatu_a_Symphony_of_Horror_1922_Max_Schreck_F_W_Murnau_Bram_Stoker_s_Dracula.webm

and try to delete the file and logging in, no matter what i do, it is locked in an infinite loop. I have rights to delete (an admin on commons)

Event Timeline

Matanya created this task.Dec 30 2014, 12:28 PM
Matanya raised the priority of this task from to Needs Triage.
Matanya updated the task description. (Show Details)
Matanya added a project: Mobile.
Matanya added a subscriber: Matanya.
phuedx added a subscriber: phuedx.Dec 30 2014, 12:39 PM

Another permissions bug that we've dealt with recently: T74877

Sorry, I can't really test that because I don't have any rights to delete. Seems like a serious problem if this problem persists for everyone.

Lukeyhano triaged this task as Medium priority.Dec 30 2014, 6:39 PM
Lukeyhano set Security to None.

I was not able to reproduce. I undeleted and redeleted the Nosferatu file from the Commons mobile site with no problems. Perhaps it was fixed by https://gerrit.wikimedia.org/r/#/c/178793/. Matanya, can you still reproduce?

Yes, able. it only happens if i didn't login to desktop view before.

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jan 21 2015, 12:07 AM
Aklapper changed the task status from Open to Stalled.Oct 27 2015, 2:25 PM

Seemed to be caused by T87290

@Matanya: Now that T87290 is fixed, can you still reproduce this?

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptOct 27 2015, 2:25 PM
Matanya closed this task as Resolved.Mar 27 2016, 3:14 AM
Matanya claimed this task.

No longer, thanks.